- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_set_max_await_time_ms()

## Synopsis

    void
    mongoc_cursor_set_max_await_time_ms (mongoc_cursor_t *cursor,
                                         uint32_t max_await_time_ms);

## Parameters

- `cursor`: A mongoc_cursor_t.
- `max_await_time_ms`: A timeout in milliseconds.

## Description

The maximum amount of time for the server to wait on new documents to satisfy a tailable cursor query. Only applies if the cursor is created from mongoc_collection_find_with_opts() with “tailable” and “awaitData” options, and the server is MongoDB 3.2 or later. See the documentation for maxTimeMS and the “getMore” command.

The `max_await_time_ms` cannot be changed after the first call to mongoc_cursor_next().

This is not applicable to all cursors. Calling mongoc_cursor_set_batch_size() on a cursor returned by mongoc_client_find_databases_with_opts(), mongoc_database_find_collections_with_opts(), or mongoc_collection_find_indexes_with_opts() will not change the results.

Note: although `max_await_time_ms` is a uint32_t, it is possible to set it as a uint64_t through the options arguments in some cursor returning functions like mongoc_collection_find_with_opts().

## See Also

Tailable Cursors.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.